Download it now!
Bug 130804 - FILEOPEN: DOCX: erroneous margin around image
Summary: FILEOPEN: DOCX: erroneous margin around image
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:7.1.0 target:7.0.0.1
Keywords: bibisected, bisected, filter:docx, regression
Depends on:
Blocks:
 
Reported: 2020-02-20 12:08 UTC by Xisco Faulí
Modified: 2020-06-09 10:09 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Comparison MSO 2010 and LibreOffice 7.0 master (185.47 KB, image/png)
2020-02-20 12:08 UTC, Xisco Faulí
Details
Sample file (128.90 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2020-02-20 12:31 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2020-02-20 12:08:21 UTC
Created attachment 158037 [details]
Comparison MSO 2010 and LibreOffice 7.0 master

Steps to reproduce:
1. Open attachment 67169 [details] from bug 54931

-> There's a huge space between the image and the paragraph. See comparison image


Reproduced in

Version: 7.0.0.0.alpha0+
Build ID: bc994a4b01cf61444452bb377010c7c4cc377698
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

[Bug found by office-interoperability-tools]
Comment 1 Xisco Faulí 2020-02-20 12:09:33 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=4ce8120f1e53f7b81e653b01d141643013bc69ab

author	Michael Stahl <Michael.Stahl@cib.de>	2020-01-24 19:05:40 +0100
committer	Michael Stahl <michael.stahl@cib.de>	2020-01-30 14:36:32 +0100
commit	4ce8120f1e53f7b81e653b01d141643013bc69ab (patch)
tree	af0373eb2c4107b776961d2236b66c87bbd3d30d
parent	8029179e35fcda5867769d4ca6f7ee32bca3e9bc (diff)
tdf#45589 sw: create and paint text portions for bookmarks

Bisected with: bibisect-linux64-6.5

Adding Cc: to Michael Stahl
Comment 2 Xisco Faulí 2020-02-20 12:31:00 UTC
Created attachment 158040 [details]
Sample file

Another file affected by the same problem
Comment 3 Commit Notification 2020-06-04 06:41:04 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/417353e1c0dca23d888f554ff272f66e40b77eab

tdf#130804 sw: fix bookmark portions in line containing only as-char fly

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Michael Stahl (CIB) 2020-06-04 06:41:50 UTC
fixed on master
Comment 5 Commit Notification 2020-06-04 10:40:51 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/4927143b6652ce2d19e6f476923112f0ab7fc273

tdf#130804 sw: fix bookmark portions in line containing only as-char fly

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2020-06-04 19:50:18 UTC
Xisco Fauli committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/40c577f57fb16d24d5a2f76c3a5126073fff6a98

tdf#130804: sw: Add unittest

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Xisco Faulí 2020-06-09 10:09:14 UTC
Verified in

Version: 7.1.0.0.alpha0+
Build ID: e0f058bcd5e185b89e4b7c680a7901bc7eb2a790
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded

@Michael S., thanks for fixing this issue!!